Repaired a 6.2 3DS. Stay or update to 9.2?

Discussion in '3DS - Console, Accessories and Hardware' started by Harsky, Nov 16, 2015.

  1. Harsky
    OP

    Harsky Madmin

    Member
    5,344
    446
    Aug 2, 2004
    By chance I got a super cheap 3DS with a 6.2 firmware from ebay and in the end, the problem was just a sticky button which was fixed by a quick clean.

    I'm still out of loop with 3DS hacking but is 6.2 pointless and I would be better off using my Smash Bros cart and upgrading it to 9.2? After that, do I still have to purchase anything else?
     
    MAXLEMPIRA likes this.
  2. jaksy

    jaksy GBAtemp Advanced Fan

    Member
    551
    197
    Jun 10, 2014
    United States
    If you upgrade from such an old FW with a smash cart alone it's possible to lock yourself out of browserhax, in which case you'd need to pay for a cartridge game entry point, or use the gateway launcher dat tool to downgrade again to around 6.2 so you could use an mset exploit.

    If you have a dsmode flashcart I believe you can install rxtoolscfw through the gateway launcher dat tool without needing any other special tools other than the dscart to install an mset exploit link, as being at FW 6.x you should already have a low enough mset version to use the mset profile exploit.

    I can link you to this guide, but be careful as it's an extremely convoluted process and easy to mess up on if you don't pay attention.
    https://gbatemp.net/threads/tutorial-installing-rxtools-custom-firmware-3ds-and-2ds.390867/

    Afterwards you can worry about updating your sysnand to 9.2 so you can use homemenuhax to launch CtrBootManager which will boot you into a CFW of your choosing.

    Edit: 9.2's only real advantage is it can run homemenuhax, one of the better entry point exploits.
     
    Last edited by jaksy, Nov 16, 2015
    wormdood likes this.
  3. Ruby Gloom

    Ruby Gloom GBAtemp Maniac

    Member
    1,553
    505
    Sep 25, 2015
    Dalvík, Iceland
    No real reason at all to update...
    as said above; HomeMenuHax is the only thing that changes and it's still kinda pointless.
    You should stay and get a CFW going.
     
  4. Harsky
    OP

    Harsky Madmin

    Member
    5,344
    446
    Aug 2, 2004
    Is there a recommended CFW? My main aim is to get the CIAs installed.
     
  5. Ruby Gloom

    Ruby Gloom GBAtemp Maniac

    Member
    1,553
    505
    Sep 25, 2015
    Dalvík, Iceland
    I use RxTools. It works for your needs and supports 10.3 I think. I'm at 9.9. I don't see the need to update.
    EDIT: I mean EmuNand! Lol. Don't update past your FW unless you're using the EmuNand.
     
    Last edited by Ruby Gloom, Nov 16, 2015
  6. jaksy

    jaksy GBAtemp Advanced Fan

    Member
    551
    197
    Jun 10, 2014
    United States
    If you're on an old 3ds, rxtools would probably be your best bet. The tutorial for rxtool installation is the guide I linked up there.
     
  7. Apache Thunder

    Apache Thunder I have cameras in your head!

    Member
    4,113
    4,063
    Oct 7, 2007
    United States
    Levelland, Texas
    I have not heard of 9.2 browserhax being blocked. Thought that was a 9.8+ thing. Either way you can downgrade MSET first to make sure you have an entry point. THEN update to 9.2 (just be sure to exclude the CIA for MSET). Themehax is best hax. There's no reason to stay on 6.x. :P
     
  8. jaksy

    jaksy GBAtemp Advanced Fan

    Member
    551
    197
    Jun 10, 2014
    United States
    It's not that it's blocked, it's that the browser would stay at the 6.x FW browser and not update with the cart FW update, meaning you'd be on 9.2 with a 6.0 FW browser, unable to utilize sliderhax as that's only compatible with 9.0+FW browsers.

    I believe this is an old issue grandfathered in from spiderhax, as people were reporting unhackable fw/browser combos for early AC spiderhax. But this issue is now not well known, as it's progressively less common to have a 6.x FW 3ds that's never been updated over the internet and is getting pushed to 9.2 with a cart.
     
    Last edited by jaksy, Nov 16, 2015
  9. Apache Thunder

    Apache Thunder I have cameras in your head!

    Member
    4,113
    4,063
    Oct 7, 2007
    United States
    Levelland, Texas
    Oh I see. 6.x MSET is still exploitable though (MSET entry point didn't get patched out till 7.x). You should be able to boot rxTools (be sure to use devmode! Don't use sysupdater in anything else! Do NOT use DevMenu to install system CIAs!) and upgrade to full 9.2 using sysupdater. This assumes you have a DS mode flashcart of some kind like a DSTwo. You just have to find the CIAs which are available on a certain site you have to google to find. (Nintendo pulled old firmware files off their NUS servers so you can't download it from them anymore).